Bug 184209 - "Move window to workspace N" using keyboard shortcuts does not work
"Move window to workspace N" using keyboard shortcuts does not work
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-07 06:03 EST by Alexander Iliev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-12 01:50:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Iliev 2006-03-07 06:03:08 EST
Description of problem:

Ctrl-Alt-KP_N does not move the focused window to a particular workspace.

For example in XFCE Settings Manager -> Window Manager -> Keyboard the shortcut
assigned for "Move window to workspace 1" is Ctrl-Alt-KP_1, but pressing
Ctrl-Alt-KP_1 does not move the focused window to workspace 1.

Changing the assigned shortcut to Ctrl-Alt-1 for example doesn't work either -
e.g. the shortcut assigned is updated, but the windows still cannot be moved to
specified workspace using the keyboard shortcut.

Version-Release number of selected component (if applicable):

4.2.3.2

How reproducible:


Steps to Reproduce:
1. Open XFCE Settings Manager
2. Select "Window Manager"
3. Go to "Keyboard" tab
4. Select "Move window to workspace 1" and assign a shortcut for this action
5. Try to move a window to workspace 1 using the assigned shortcut
  
Actual results:
The window is not moved to the desired workspace

Expected results:
The window is moved to desired workspace (e.g. workspace 1 using Ctrl-Alt-KP_1)

Additional info:
Comment 1 Kevin Fenzi 2006-03-07 14:42:18 EST
I am seeing this here also on my laptop. Will investigate further and try and
track down the problem. 

Thanks for the bugreport. 
Comment 2 Kevin Fenzi 2006-03-12 01:50:00 EST
This bug was reported and fixed upstream: 
http://bugzilla.xfce.org/show_bug.cgi?id=1257

It was fixed in the current development tree (which will become 4.4 once it's
released), so once thats released and new packages are spun up, it should be fixed. 

For workarounds until then, I would suggest: 

- Use the "Move window to Next workspace" or "Move window to Prev workspace"
shortcuts (which do work as expected) several times to move the window to the
desired desktop. 

- Use the right click on the window "send to" menu item to send the window to
the desired desktop. 

- Use the Xfce panel Graphical Pager item to drag the small representation of
the window to the desired desktop. 

Note You need to log in before you can comment on or make changes to this bug.